APIPolicies
Evaluate agent instance access
Evaluate effective access for an agent instance — what MCPs and tools it can use.
GET
Evaluate effective access for an agent instance — what MCPs and tools it can use.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_policiesagent_instance_id*stringFormat
uuidThe request has succeeded.
application/json- response
agent_instance_id?uuidPresent when the access was computed for a specific agent instance.
Format
uuidagent_slug?stringPresent when the access was computed for a catalog agent type by slug.
mcps*array<>curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/policies/evaluate/agent-instances/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "agent_instance_id": "e6b55a46-e2a1-4495-b96e-367af02e9908", "agent_slug": "string", "mcps": [ { "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb", "slug": "string", "display_name": "string", "tools": [ { "name": "string", "description": "string", "status": "allowed", "policy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": 0, "scope": { "type": "mcp_call", "agent_slugs": [ "string" ], "agent_instance_ids": [ "bc3f18ff-0dcd-4cc7-8f61-6ca61814f10b" ], "user_ids": [ "2d98503d-4ab4-41bd-8fc6-78cc006fd2db" ], "groups": [ "string" ], "agent_slug_tag_ids": [ "e428595a-d9dd-4887-8327-2d9cad5b7425" ], "autonomous": true, "mcp_ids": [ "c2c9208c-a7ac-41cc-84f1-8c1caec92987" ], "mcp_tag_ids": [ "17d4a46c-d971-4171-9a66-88ec59ce6eeb" ], "tool_tag_ids": [ "41068329-9b4f-4cc3-b249-3ec2a7a2cee8" ], "tool_patterns": [ "string" ], "condition": "string", "condition_description": "string" }, "effect": "allow", "status": "active", "approval_grace_seconds": 0, "approval_scope": "identical_call", "name": "string", "description": "string", "agent_instance_refs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "user_display_name": "string" } ], "user_refs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } } ] } ]}